GetFailoverSlateConfiguration
Gets the failover slate configuration for the specified ARN.
Request Syntax
POST /GetFailoverSlateConfiguration HTTP/1.1
Content-type: application/json
{
"arn": "string"
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
- arn
-
ARN of the failover slate configuration to be retrieved.
Type: String
Length Constraints: Minimum length of 0. Maximum length of 128.
Pattern:
arn:aws:ivs:[a-z0-9-]+:[0-9]+:failover-slate-configuration/[a-zA-Z0-9-]+Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"failoverSlateConfiguration": {
"activationThresholdSeconds": number,
"arn": "string",
"maxSlateDisplaySeconds": number,
"minSlateDisplaySeconds": number,
"name": "string",
"state": "string",
"tags": {
"string" : "string"
}
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- failoverSlateConfiguration
-
The failover slate configuration that was retrieved.
Type: FailoverSlateConfiguration object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
User does not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
Unexpected error during processing of request.
HTTP Status Code: 500
- ResourceNotFoundException
-
Request references a resource which does not exist.
HTTP Status Code: 404
- ValidationException
-
The input fails to satisfy the constraints specified by an AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: